Summary:	High dynamic-range (HDR) image file format support libraries
Summary(pl.UTF-8):	Biblioteki obsługujące format plików obrazu o wysokiej dynamice (HDR)
Name:		OpenEXR
Version:	2.2.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://download.savannah.gnu.org/releases/openexr/openexr-%{version}.tar.gz
# Source0-md5:	421815c32989e1b98fc4798ee754c433
Patch0:		%{name}-build.patch
URL:		http://www.openexr.com/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6.3
BuildRequires:	ilmbase-devel >= 2.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
Requires:	ilmbase >= 2.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
OpenEXR is used by ILM on all motion pictures currently in production.
The first movies to employ OpenEXR were Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York, and Signs. Since then,
OpenEXR has become ILM's main image file format.

%description -l pl.UTF-8
OpenEXR to format plików obrazu o wysokiej dynamice (HDR - High
Dynamic-Range) stworzony przez Industrial Light & Magic do używania w
aplikacjach do grafiki komputerowej. OpenEXR jest używany przez ILM do
wszystkich aktualnie produkowanych obrazów ruchomych. Pierwszymi
filmami wykorzystującymi OpenEXR były Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York oraz Signs. Od tamtego czasu
OpenEXR stał się głównym formatem obrazu ILM.

%package devel
Summary:	Header files for OpenEXR libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenEXR
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ilmbase-devel >= 2.2.1
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for OpenEXR libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenEXR.

%package static
Summary:	Static OpenEXR libraries
Summary(pl.UTF-8):	Statyczne biblioteki OpenEXR
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenEXR libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OpenEXR.

%package progs
Summary:	OpenEXR utilities
Summary(pl.UTF-8):	Narzędzia do obrazów OpenEXR
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenEXR utilities.

%description progs -l pl.UTF-8
Narzędzia do obrazów OpenEXR.

%package doc
Summary:	OpenEXR documentation
Summary(pl.UTF-8):	Dokumentacja do OpenEXR
Group:		Documentation

%description doc
OpenEXR documentation describing file format, library etc.

%description doc -l pl.UTF-8
Dokumentacja do OpenEXR, opisująca format pliku, bibliotekę itd.

%prep
%setup -q -n openexr-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# PDFs packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libIlmImf-2_2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmImf-2_2.so.23
%attr(755,root,root) %{_libdir}/libIlmImfUtil-2_2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmImfUtil-2_2.so.23

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIlmImf.so
%attr(755,root,root) %{_libdir}/libIlmImfUtil.so
%{_libdir}/libIlmImf.la
%{_libdir}/libIlmImfUtil.la
%{_includedir}/OpenEXR/Imf*.h
%{_includedir}/OpenEXR/OpenEXRConfig.h
%{_aclocaldir}/openexr.m4
%{_pkgconfigdir}/OpenEXR.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libIlmImf.a
%{_libdir}/libIlmImfUtil.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exrenvmap
%attr(755,root,root) %{_bindir}/exrheader
%attr(755,root,root) %{_bindir}/exrmakepreview
%attr(755,root,root) %{_bindir}/exrmaketiled
%attr(755,root,root) %{_bindir}/exrmultipart
%attr(755,root,root) %{_bindir}/exrmultiview
%attr(755,root,root) %{_bindir}/exrstdattr

%files doc
%defattr(644,root,root,755)
%doc doc/*.pdf
%changelog
* Fri Aug 16 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/OpenEXR.git;a=log;h=1265106003ec569937d949070495f615528a06b8

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 1265106
- updated to 2.2.1 (note: new sonames)

* Sun Sep 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 95897d6
- release 4 (by relup.sh)

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> 06534ca
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> ee3806b
- release 2 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 77cb6c7
- updated to 2.2.0 (note: new soname)
- added build patch (fixes build with an older version of OpenEXR-devel installed)

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c2759d
- updated to 2.1.0 (note: new soname)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 83918f6
- updated to 2.0.1
- removed obsolete am patch

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 8ed3b08
- added doc package (with PDFs), fixed build with current rpm doc scripts

* Thu Mar 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 447913e
- updated to 2.0.0 (note: new soname)
- removed obsolete gcc4 patch
- added am patch (fixes build with automake 1.13)

* Wed Oct 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 0c7bd0c
- updated to 1.7.0
- old gcc4 patch obsolete, added new one

* Mon Oct 26 2009 Szymon Siwek <sls@pld-linux.org> bef185c
- added gcc4.patch

* Thu Feb 14 2008 Elan Ruusamäe <glen@pld-linux.org> c524183
- release 2

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 4b0117e
- updated to 1.6.1
- removed obsolete patches
- base libs now in ilmbase.spec, exrdisplay moved to openexr_viewers

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> b242dfc
- moved to ilmbase

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 0103184
- obsolete

* Mon Apr 16 2007 Paweł Sikora <pluto@pld-linux.org> bf21f0a
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 2.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3d1c3f2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f64b4fd
- converted to UTF-8

* Sun Feb 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c1656e5
- fix devel pl descs

* Sun Feb 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 56036b8
- more verbose files
- automake already copies config.sub

